%define dist	MDV-Distribconf
%define version	4.02
%define release	%mkrel 7

Summary:	Read and write config of a urpmi based distribution tree
Name:		  perl-%{dist}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	%{dist}-%{version}.tar.gz
Patch0:   perl-MDV-Distribconf-use-mageia.patch 
Url:		  http://search.cpan.org/dist/%{dist}/

BuildArch:	noarch
BuildRequires:	perl perl-Config-IniFiles perl-MDV-Packdrakeng

%description
MDV::Distribconf is a module to get/write the configuration of a urpmi
based distribution tree.

%package -n mdv-distrib-tools
Summary: Tools use to maintains a urpmi based distrib tree
Group: Development/Perl

%description -n mdv-distrib-tools
Tools use to maintains a urpmi based distrib tree.

This include:
- gendistrib (experimental)
- checkdistrib

%prep
%setup -q -n %{dist}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog META.yml
%{_mandir}/*/MDV::Distribconf.*
%dir %{perl_vendorlib}/MDV/Distribconf
%{perl_vendorlib}/MDV/Distribconf.pm

%files -n mdv-distrib-tools
%defattr(-,root,root)
%_bindir/*
%{perl_vendorlib}/MDV/Distribconf/*
%{_mandir}/*/MDV::Distribconf::*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.02-7.mga3
+ Revision: 369286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 dmorgan <dmorgan> 4.02-6.mga1
+ Revision: 64353
- Remove mdv occurencies

* Thu Feb 10 2011 dmorgan <dmorgan> 4.02-5.mga1
+ Revision: 49760
- Fix patch apply
- Use mageia in VERSION

* Fri Jan 21 2011 erwan <erwan> 4.02-4.mga1
+ Revision: 30072
- Rebuild

* Fri Jan 21 2011 jquelin <jquelin> 4.02-3.mga1
+ Revision: 29443
- rebuild
- mageia rebuild

* Mon Jan 17 2011 nanardon <nanardon> 4.02-2.mga1
+ Revision: 21524
- imported package perl-MDV-Distribconf

